
<!-- ![](img/chi.png) -->
![](img/chi2.png)

# INCA a stable asset backed currency

INCA is ThreeFold's native, asset-backed[Mutual Credit](p2p:mutualcredit) currency. It enables individuals to earn income by serving as cloud providers, while allowing others to pay for the cloud services received.

> We are greatly inspired by Holochain and their Mutual Credit Currency called HOLOFUEL and have decided to model our utility currency similarly. For more information on how HoloFuel functions, you can visit Holo's FAQ on HOLOFUEL. We extend our gratitude to Holochain for their pioneering work and the example they've set. This article is a modified version of their article.

## How does it work

INCA is a contractual service obligation, redeemable for a service as deliverd on [TFGrid](def:tfgrid.md). INCA is a mutual-credit accounting system capable of performing billions of daily microtransactions. Its primary use is for a [Cloud Developer](def:cloud_dev.md) to pay a [Cloud Provider](def:cloud_provider.md) for their services.

INCA is not really a digital currency, it can be used as such but practically its a mutual credit, a promise to something in the futurel, that promise is recorded in each INCA Note. The INCA Note's (the mutal credit) can be transfered to someone else but the properties stay the same.

## INCA benefits:

- A completely peer-to-peer crypto currency.
- Optimized for high speed and minimal fees.
- Currency you earn for hosting cloud services on Holo, and redeem to pay your bills.

Completely accountable and transparent crypto-accounting, operating by known and shared rules running on every host machine.

## Practical 

- for the first 6 months 'INCA' is valued at 0.15 USD which corresponds to fully diluted marketcap of 150m
- if you need INCA you can become a [Cloud Provider](def:cloud_provider.md) or you buy INCA using any of the supported currencies (see [inca reserve doc](reserve.md)).


## How is INCA different?

- **Mutual Credit:** Unlike other cryptocurrencies which are primarily used for speculation, INCA is not tokens created from nothing. It is a double-entry crypto-accounting framework in which units are created, transferred, or destroyed at transaction time.
- **Asset-Backed:** INCA is backed by the computing,storage, network power of hosts like you across the globe. That means it can be redeemed for a product with real utility.
- **Value-Stable:** The value of INCA is connected to provided services of the tfgrid. This capacity evolves and changes slowly and isn't subject to huge spikes and crashes the way other speculative tokens are.
- **Scalable:** INCA is designed for micro-transactions, which means it needs to support millions of global value exchanges per second at fractional values. This is possible thanks to our massively parallel design.

## How can I use INCA?

- Spend it through a variety of apps and online marketplaces.
- Redeem INCA earned by providing cloud services for other currencies to pay your bills.
- Borrow it, based on your proven hosting track record, to pay for things.

## Details

INCA marks the beginning of a new era of cryptocurrencies backed by the capacity provided by people. All of the currency supply is correlated to providing cloud services. Unlike other systems you don't have to be a technical specialist to be able to become a cloud provider.

Most cryptocurrencies are modeled as digital objects tracked on a global ledger. With INCA, each user has their own ledger showing their account balance and transaction history. Each transaction requires an agreement between two people, which is then recorded on their respective ledgers and validated by peers in the network.

Mutual credit means that every credit (positive) has an equally matching debit (negative), giving a net supply of zero and a dynamic circulating supply that’s responsive to the actual market behavior of its users.

Credit limits are directly connected to a demonstrated capacity to repay a negative balance by providing hosting resources. INCA is directly redeemable for cloud services. INCA is therefore backed by cloud services, a valuable modern asset.

Being asset-backed and having a dynamic supply means that INCA can be value-stable without being static or requiring a peg (first 6 months we link to USD). INCA can optimize the market value of its units in relation to the cost of hosting, creating a steady and stable trajectory.

The agent-centric design allows for the transactions per second (TPS) to increase the more people use it, mirroring how the English language’s “words per second” increases as more people speak it. Therefore, INCA is scalable for mass adoption.

There is no mining or staking involved in earning CHI—only the useful work of cloud services. Anyone can become a cloud provider (a host) and be compensated by application providers who want their hApp served to the web.

## More Information

- [a very good arcticle how mutual credit system works and where it came from](https://blog.holochain.org/mutual-credit-part-1-a-new-type-of-cryptocurrency-as-old-as-civilisation/)




!!wiki.def alias:'inca'